.inno_shadow {
  background-color:#1f2022;
}
.inno_slight_shadow {
  background-color:#303139;
}
.inno_bg1 {
  background-color:#202123;
}
.inno_bg2 {
  background-color:#343541;
}
.inno_bg3 {
  background-color:#343541;
}
.inno_text {
  background-color:#4e505f;
}
.inno_yellow {
  background-color:#F5B233;
}
.inno_yellowlight {
  background-color:#fde5a4;
}
.inno_yellowlighter {
  background-color:#fff5d7;
}
.inno_yellowtest {
  background-color:#95711a;
}
.history_content {
  display: -webkit-box;
  -webkit-line-clamp: 2; /* only show 2 lines */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  width: 100%;
  height: 33px;
  background-color: #67697b;
  border-radius: 4px;
}
.history_message {
  display:flex;
  padding:4px 3px;
  flex-direction:row;
  width:98%;
  height:98%;
  font: 600 .7rem Montserrat, sans-serif;
  color:#2a2c35;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
.msger {
  display: flex;
  position:relative;
  flex-flow: column wrap;
  justify-content: space-between;
}
.history_wrapper {
  display:flex;
  flex-direction:column;
  width:98%;
  height:100%;
  background-color:#202123;
  align-items:center;
  border: 4px solid #303139;
  padding-top:7px;
  margin-bottom:70px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
.chat_history {
  display:flex;
  flex-flow:column;
  align-items:center;
  justify-content: center;
  position:absolute;
  width:400px;
  height:100%;
  background-color:#343541;
  z-index:2;
  padding-top:50px;
}
.history_bar {
  display:flex;
  flex-direction:row;
  align-items:center;
  justify-content:center;
  width:100%;
  height:50px;
  background-color:#343541;
  padding:0;
  padding-top:7px;
}
.history_bar:hover {
  background-color:#4e505f;
  cursor: pointer;
}
.history_item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 94%;
  height: 40px;
  border-radius: 4px;
  overflow: hidden;
  background-color: #3e3f4b;
  margin-bottom:7px;
}
.history_item:hover {
  background-color: #363743;
  cursor:pointer;
}
  
  .history_item span {
    flex-grow: 1;
    text-align: left;
  }
  .history_title {
    font: 700 1.2rem Montserrat, sans-serif;
    margin-left:7px;
    color:#cccfe8;
  }
  
  .history_item .close_wrapper {
    text-align: right;
  }
  .history_avatar {
    display:flex;
    flex:0 0 30px;
    height:30px;
    margin:8px 4px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 7px;
    font-size:.7rem;
  }
  .delete_history_item {
    display:flex;
    flex:0 0 30px;
    height:30px;
    margin:8px 4px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 7px;
    align-items:center;
    justify-content: center;
    font-size:.7rem;
  }
  
  .msger-header {
    display: flex;
    justify-content: space-between;
    padding: 10px;
    border-bottom: var(--border);
    background: #495068;
    color: #ededed;
    width:100%;
    z-index:999;
  }
  .msger-header-options {
    display:flex;
    background-color:rgba(255, 255, 255, 0.167);
    border-radius:7px;
    margin-right:14px;
    padding:0 7px;
    align-items:center;
    justify-content:center;
  }
  .msger-header-options:hover {
    background-color:#565f7b;
    cursor: pointer;
  }
  .progress {
    display:flex;
    position:absolute;
    top:58px;
    left:0;
    right:0;
    z-index:99999;
  }
  .msger-chat {
    flex: 1;
    position:relative;
    overflow-y: scroll; 
    padding: 10px;
    max-height: 500px;
    width:100%;
    padding-bottom:78px;
  }

  .msger-chat::-webkit-scrollbar {
    width: 6px;
  }
  .msger-chat::-webkit-scrollbar-track {
    background: #ddd;
  }
  .msger-chat::-webkit-scrollbar-thumb {
    background: #bdbdbd;
  }
  .msg {
    display: flex;
    align-items: flex-end;
    margin-bottom: 10px;
  }
  .msg:last-of-type {
    margin: 0;
  }
  .msg-img {
    display:flex;
    flex:0 0 50px;
    height:50px;
    margin-right: 10px;
    background: #172631;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border-radius: 50%;
  }
  .msg-bubble {
    max-width: 650px;
    padding: 15px;
    border-radius: 15px;
    background-color:rgb(143, 204, 254);
  }
  .msg-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 10px;
  }
  .msg-info-name {
    margin-right: 10px;
    font-weight: bold;
  }
  .msg-info-time {
    font-size: 0.85em;
  }
  
  .left-msg .msg-bubble {
    border-bottom-left-radius: 0;
  }
  .left-msg .msg-bubble .msg-text {
    text-align:start;
  }
  
  .right-msg {
    flex-direction: row-reverse;
  }
  .right-msg .msg-bubble {
    background: var(--right-msg-bg);
    color: #313131;
    border-bottom-right-radius: 0;
    background-color:rgb(199, 228, 253);
  }
  .right-msg .msg-bubble .msg-text {
    text-align:end;
  }
  .right-msg .msg-img {
    margin: 0 0 0 10px;
  }
  
  .msger-inputarea {
    display: flex;
    position: absolute;
    margin:0 auto;
    bottom:0;
    left:0;
    right:0;
    border-top: var(--border);
    background: #e9e9e9;
    width: 100%;
    max-width: 1200px;
    z-index: 9999;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    padding:10px;
    overflow: hidden;
  }
  
  .msger-inputarea * {
    padding: 10px;
    border: none;
    border-radius: 3px;
    font-size: 1em;
  }
  
  .msger-input {
    flex: 1;
    background: #f8f8f8;
    min-height: 20px;
    max-height: 75px;
    overflow-y: auto;
    outline: none;
    white-space: pre-wrap;
    word-break: break-word;
  }
  
  .msger-input::before {
    content: attr(data-placeholder);
    display: block;
    position: absolute;
    color: #ccc;  /* Adjust color to your preference */
    pointer-events: none;
  }
  
  .msger-input.filled::before {
    display: none;
  }

  .msger-input:empty:before {
    content: attr(data-placeholder);
    color: #ccc;
    pointer-events: none;
}

.msger-input.filled:before {
    content: none;
}

  
  .msger-send-btn {
    margin-left: 10px;
    background: #495068;
    color: #fff;
    font-weight: bold;
    cursor: pointer;
    transition: background 0.23s;
  }
  
  .msger-send-btn:hover {
    background: #32384c;
  }
  
  .msg-text {
    color: #313131;
  }